Bug 505406 - Review Request: rubygem-rake-compiler - Rake-based Ruby C Extension task generator
Review Request: rubygem-rake-compiler - Rake-based Ruby C Extension task gene...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 15:28 EDT by Mamoru TASAKA
Modified: 2014-09-21 14:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 12:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-06-11 15:28:18 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-rake-compiler/rubygem-rake-compiler.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-rake-compiler/rubygem-rake-compiler-0.5.0-1.fc.src.rpm

Description: 
rake-compiler aims to help Gem developers while dealing with
Ruby C extensions, simplifiying the code and reducing the duplication.

It follows *convention over configuration* and set an standarized
structure to build and package C extensions in your gems.

This is the result of expriences dealing with several Gems 
that required native extensions across platforms and different 
user configurations where details like portability and 
clarity of code were lacking. 

Koji build
- For F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1405896
- For F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1405894
Comment 1 Xavier Lamien 2009-07-01 06:42:34 EDT
OK source files match upstream
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK Global are used.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible (MIT). License text included in
package in part of reason has been given properly.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in koji (F-11 & Rawhide -- noarch).
OK rpmlint is silent.
OK final provides and requires look sane.
-- %check is present (however, test need more work, not a blocker).
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK correct scriptlets present.
OK code, not content.
OK huge %docs has been moved to sub-package 
OK package installed properly

According to ruby guideline, the package uses proper ruby specific packaging.


** APPROVED **

ps: sorry for have been so long.
Comment 2 Mamoru TASAKA 2009-07-01 09:16:30 EDT
No problem, thank you for reviewing this ticket.

New Package CVS Request 
=======================
Package Name:       rubygem-rake-compiler
Short Description:  Rake-based Ruby C Extension task generator
Owners:             mtasaka
Branches:           F-11 F-10
InitialCC:          (nobody)
Comment 3 Kevin Fenzi 2009-07-02 01:02:49 EDT
cvs done.
Comment 4 Mamoru TASAKA 2009-07-02 12:39:39 EDT
Rebuilt on all branches, submitted push requests on bodhi, closing.
Thank you for the review and CVS procedure.
Comment 5 Mark Chappell 2010-02-01 11:52:04 EST
Package Change Request
=======================
Package Name:       rubygem-rake-compiler
Owners:             tremble
Branches:           EL-4 EL-5
Comment 6 Kevin Fenzi 2010-02-01 15:41:41 EST
cvs done.
Comment 7 Denis Fateyev 2014-09-21 14:38:19 EDT
Current package maintainers have no objections: BZ#1142428

Package Change Request
======================
Package Name: rubygem-rake-compiler
New Branches: epel7
Owners: dfateyev
Comment 8 Gwyn Ciesla 2014-09-21 14:43:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.